Retrieve the feature flags of a deployment
GET
https://api.vercel.com/v1/deployments/{deploymentId}/feature-flagsRetrieve the feature flags of a deployment.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.featureFlags.getDeploymentFeatureFlags({ deploymentId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "flags": [ "value" ], "status": { "createdAt": "123", "deploymentId": "example_id", "flagCount": "123", "projectId": "example_id", "responseStatus": "123" }}AuthorizationbearerToken
Default authentication mechanism